gitsta
======
Responsive, minimalistic, clean and content-oriented theme, inspired by GitHub. Mainly designed for programmers, but suitable for any bloggers.

![screenshot](screenshot.png)

[Live Demo](http://nehalist.io)

### Download
- [GitHub Releases](https://github.com/HirczyK/gitsta/releases)
- [WordPress.org](https://wordpress.org/themes/gitsta)

### Features
* Responsive
* Support for font awesome, octicons, glyphicons
* Dynamic sidebar (statically positioned if the window height allows it, otherwise non-static)
* Theme options
  * Favicon
  * Comment markdown support
  * Enable/disable blog description on front page
  * Customizable error page
* Neat comments style
* Neat source code displaying within posts and pages
* Full-width template
* Advanced menues (with icons, dividers, ...)
* Well written and documented source code

### Menu
The theme menu supports:
* Icons (Octicons, Glyphicons, Font Awesome)
* Submenus
* All features of [wp-bootstrap-navwalker](https://github.com/twittem/wp-bootstrap-navwalker): Dividers, Dropdown Headers and disabled links

To use the icons just set the "Title Attribute" of the menu item to the desired item (e.g. `fa-code`, `octicon-flame`, etc.).

### Requirements & Recommendation
* This theme requires at least PHP 5.3, due the usage of closures within the `functions.php`
* Since this theme was created with markdown in mind, you should use some kind of markdown plugin (I'm pretty satisfied with [WP-Markdown](https://wordpress.org/plugins/wp-markdown/)). If you don't like to use markdown, you can disable the markdown support within the theme settings.

### Like the theme?
Rate it on [WordPress.org](https://wordpress.org/themes/gitsta) or star it on [GitHub](https://github.com/HirczyK/gitsta)! Thanks!

### Credits
* [Bootstrap](http://www.getbootstrap.com)
* [GitHub](http://www.github.com)
* [Marked](https://github.com/chjj/marked)
* [Font Awesome](http://fortawesome.github.io/Font-Awesome/)
* [TGM Plugin Activation](http://tgmpluginactivation.com/)
* [wp-bootstrap-navwalker](https://github.com/twittem/wp-bootstrap-navwalker)